<?php
/**
 * @package     Joomla.Site
 * @subpackage  mod_articles_news
 *
 * @copyright   Copyright (C) 2005 - 2013 Open Source Matters, Inc. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 */

defined('_JEXEC') or die;
?>
<div class="avatar-newsflash newsflash row-fluid avatar-our-features">
<?php
foreach ($list as $item) :
	$item_heading = $params->get('item_heading', 'h4');
?>
		<?php $articleImage = json_decode($item->images);?>
		<div class="avatar-intro-item-wrap span<?php echo round((12 / count($list)));?>">
	    <div class="avatar-intro-item">
	    	<div class="avatar-intro-item-img">
		    	<?php if($articleImage->image_intro): ?>
				<img src="<?php echo $articleImage->image_intro?>" alt="<?php echo $item->title; ?>">
				<?php endif;?>
				<div class="avatar-shadow-inset"></div> 
			</div>   
			<<?php echo $item_heading; ?> class="newsflash-title <?php echo $params->get('header_class'); ?>">
		   	<?php if ($params->get('link_titles') && $item->link != '') : ?>
			<a href="<?php echo JURI::base();?>index.php?option=com_content&view=article&id=<?php echo $item->id;?>">
					<?php echo $item->title;?></a>
	        <?php else :?>
	        <?php echo $item->title; ?>
	        <?php endif; ?>
	        </<?php echo $item_heading; ?>>
	        
			<div class="ch-info">
				<div class="ch-info-content">
					<?php echo $item->introtext; ?>
				</div>
			</div>
			<?php if (isset($item->link) && $item->readmore != 0 && $params->get('readmore')) :
					echo '<a class="readmore" href="'.JURI::base().'index.php?option=com_content&view=article&id='.$item->id.'">'.$item->linkText.'</a>';
				endif; ?>
		</div>
        </div>
<?php endforeach;?>
</div>