<?php

/**

 * @version		$Id: coolfeed.php 100 2012-04-14 17:42:51Z trung3388@gmail.com $

 * @copyright	JoomAvatar.com

 * @author		Nguyen Quang Trung

 * @link		http://joomavatar.com

 * @license		License GNU General Public License version 2 or later

 * @package		Avatar Dream Framework Template

 * @facebook 	http://www.facebook.com/pages/JoomAvatar/120705031368683

 * @twitter	    https://twitter.com/#!/JoomAvatar

 * @support 	http://joomavatar.com/forum/

 */



// No direct access

defined('_JEXEC') or die;

?>

<div class="avatar-nav-responsive">

<ul class="menu clearfix <?php echo $class_sfx;?>"<?php

	$tag = '';

	if ($params->get('tag_id')!=NULL) {

		$tag = $params->get('tag_id').'';

		echo ' id="'.$tag.'"';

	}

?>>

<?php

foreach ($list as $i => &$item) :

	

	$class = 'item-'.$item->id;

	if ($item->id == $active_id) {

		$class .= ' current';

	}



	if (in_array($item->id, $path)) {

		$class .= ' active';

	}

	elseif ($item->type == 'alias') {

		$aliasToId = $item->params->get('aliasoptions');

		if (count($path) > 0 && $aliasToId == $path[count($path)-1]) {

			$class .= ' active';

		}

		elseif (in_array($aliasToId, $path)) {

			$class .= ' alias-parent-active';

		}

	}



	if ($item->deeper) {

		$class .= ' deeper';

	}



	if ($item->parent) {

		$class .= ' parent';

	}



	if (!empty($class)) {

		$class = ' class="'.trim($class) .'"';

	}



	echo '<li'.$class.'>';

	if ($item->parent) {

		echo '<span class="pull"></span>';

	}

	// Render the menu item.

	switch ($item->type) :

		case 'separator':

		case 'url':

		case 'component':

			require JModuleHelper::getLayoutPath('mod_menu', 'default_'.$item->type);

			break;



		default:

			require JModuleHelper::getLayoutPath('mod_menu', 'default_url');

			break;

	endswitch;

	

	// The next item is deeper.

	if ($item->deeper) {

		echo '<ul>';

	}

	// The next item is shallower.

	elseif ($item->shallower) {

		echo '</li>';

		echo str_repeat('</ul></li>', $item->level_diff);

	}

	// The next item is on the same level.

	else {

		echo '</li>';

	}

endforeach;

?></ul></div>

